apropos(1)

NOMBRE
apropos - buscar entre las páginas del manual y las descripciones

SINOPSIS
apropos [-dhV] [-r|-w ] [-m sistema[,...]] [-M ruta] palabra_clave ...

DESCRIPCIÓN
Cada página de manual contiene una pequeña descripción. apropos busca dentro de esas descripciones la presencia de la palabra_clave. La palabra_clave puede contener caracteres comodín (-w) o puede ser una expresión regular (-r). Cuando se usan estas opciones, puede ser necesario entrecomillar la palabra_clave o anteponer (\) a los caracteres especiales para evitar que la shell los interprete. Las reglas estándar permiten buscar nombres de página y palabras completas en la descripción.

OPCIONES

-d, --debug
    Imprime información de depurado.

-r, --regex
    Interpreta cada palabra clave como una expresión regular. Cada palabra clave va a tratar de casar independientemente con los nombres de las páginas y con las descripciones.

-w, --wildcard
    Interpreta cada palabra clave como patrones que incluyen caracteres comodín. Cada palabra clave será cuadrada con nombres de páginas y las descripciones de forma independiente. Sólo se cuandran nombres completos de página que correspondan con el resultado de expandir la palabra clave.

-m sistema [,...], --systems=sistema [,...]
    Si este sistema puede acceder a las páginas de manual de otro sistema operativo, se puede activar su búsqueda mediante esta opción. Para buscar en las páginas de NuevoSO, use la opción -m NuevoSO El sistema especificado puede ser en realidad una lista separada por comas, de nombres de sistemas operativos. Para incluir la base de datos de descripciones whatis del sistema operativo nativo en la búsqueda basta incluir man como nombre de sistema en la lista de argumentos. El valor de esta opción sobreescribe el contenido de la variable del entorno $SYSTEM.

-M ruta, --manpath=ruta
    Especifica un conjunto de jerarquías de páginas de manual separados por "dos puntos". Por defecto apropos utiliza la variable del entorno $MANPATH a menos que esté vacía o desactivada en cuyo caso determinará la ruta para el manual apropiado, basándose en su variable de entorno $PATH. Esta opción se preferirá al contenido de $MANPATH.

-h, --help
    Imprime un mensaje de ayuda y termina.

-V, --version
    Presenta la información sobre la version y el autor.

ESTADO DE SALIDA

0   Ejecución terminada con éxito.

1   Error de uso, sintaxis o de fichero de configuración.

2   Error operacional.

16  No se ha encontrado nada que cuadre con los criterios especificados.

ENTORNO

SYSTEM
    Si se activa $SYSTEM, tendrá el mismo efecto que si se especifica su contenido como argumento de la opción -m

MANPATH
    Si se activa $MANPATH, su valor es interpretado como un conjuto de jerarquías de páginas a usar separadas por "dos puntos".

POSIXLY_CORRECT
    Si $POSIXLY_CORRECT está activada, incluso si su valor es nulo, apropos ejecutará por defecto una búsqueda como expresión regular. (-r).

FICHEROS

/usr/man/index.(bt|db|dir|pag)
    índice de la base de datos caché tradicional.

/var/catman/index.(bt|db|dir|pag)
    índice de la base de datos caché global alternativa o de acuerdo al FSSTND.

/usr/man/.../whatis
    Base de datos tipo texto whatis tradicional.

TAMBIÉN VER
whatis(1), man(1).

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk) Traducción realizada por Luis F. González (luisgh@cogs.susx.ac.uk)